JavaScript
import Riza from '@riza-io/api';
const client = new Riza({
apiKey: process.env['RIZA_API_KEY'], // This is the default and can be omitted
});
const revision = await client.runtimes.revisions.create('id', {
manifest_file: { contents: 'contents', name: 'requirements.txt' },
});
console.log(revision.id);{
"id": "<string>",
"manifest_file": {
"contents": "<string>"
},
"runtime_id": "<string>",
"additional_python_imports": "<string>"
}Custom Runtimes
Create runtime revision
Creates a new runtime revision.
JavaScript
import Riza from '@riza-io/api';
const client = new Riza({
apiKey: process.env['RIZA_API_KEY'], // This is the default and can be omitted
});
const revision = await client.runtimes.revisions.create('id', {
manifest_file: { contents: 'contents', name: 'requirements.txt' },
});
console.log(revision.id);{
"id": "<string>",
"manifest_file": {
"contents": "<string>"
},
"runtime_id": "<string>",
"additional_python_imports": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.riza.io/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
⌘I